<?php  
// TESTIMONIALS SECTION START HERE 

$wp_customize->add_section(
    'testimonials_area',
    array(
        'title'         => __( 'Testimonial Section', 'Luzuk Premium' ),
        'panel'   => 'luzuk_premium_home_panel',
    )
);
    //ENABLE/DISABLE TESTIMONIALS SECTION
$wp_customize->add_setting(
    'testimonials_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'testimonials_area_disable',
        array(
            'settings'      => 'testimonials_area_disable',
            'section'       => 'testimonials_area',
            'label'         => __( 'Disable Section', 'Luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk Premium' ),
                'off' => __( 'No', 'Luzuk Premium' )
            )   
        ) 
    )
);
 
backgroundManager($wp_customize, 'testimonials', 'testimonials_area', $color='#e6eef7', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'luzuk_sec_blogsectionpadding', 'testimonials_area', 'Section Padding');

$wp_customize->add_setting(
    'testimonials_areaTpadding', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonials_areaTpadding',
    array(
        'settings'      => 'testimonials_areaTpadding',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'Luzuk Premium' )
    )
);
$wp_customize->add_setting(
    'testimonials_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonials_areaBpadding',
    array(
        'settings'      => 'testimonials_areaBpadding',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'Luzuk Premium' )
    )
);

lzCustomLable($wp_customize, 'tes_sec_animg', 'testimonials_area', 'Animated Image Setting');

// animation image
$wp_customize->add_setting( 'tstop_img_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'tstop_img_display', array( 'label' => 'Animated Image', 'section' => 'testimonials_area', 'settings' => 'tstop_img_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) );


addColorPalatOption($wp_customize, 'test_starimgClr', 'testimonials_area', 'Section Star Animated Color', '#1d62b8');


$wp_customize->add_setting(
    'luzuk_testimonials_title_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
       'luzuk_testimonials_title_subtitle_heading',
       array(
           'settings'      => 'luzuk_testimonials_title_subtitle_heading',
           'section'       => 'testimonials_area',
           'label'         => __( 'Section Heading & Sub Heading', 'Luzuk Premium' ),
       )
   )
);


$wp_customize->add_setting(
    'testimonials_title',
    array(
       'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'TESTIMONIAL', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonials_title',
    array(
       'settings'      => 'testimonials_title',
       'section'       => 'testimonials_area',
       'type'          => 'text',
       'label'         => __( 'Section Heading', 'Luzuk Premium' )
    )
);

addColorPalatOption($wp_customize, 'testimonialsarea_sectitle_color', 'testimonials_area', 'Section Heading Color', '#303030');

$wp_customize->add_setting(
    'testimonials_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Quis ipsum suspendisse ultrices gravida. Risus commodo viverra maecenas accumsan lacus vel facilisis.', 'Luzuk Premium', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonials_subtitle',
    array(
        'settings'      => 'testimonials_subtitle',
        'section'       => 'testimonials_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Sub Heading', 'Luzuk Premium' )
    )
);
addColorPalatOption($wp_customize, 'testimonialsarea_secsubtitle_color', 'testimonials_area', 'Section Sub Heading Color', '#6e7174');

$TesimonialsSingleChoice[] = 'select';
if(!is_array($TesimonialsSingleChoice)){
    $wp_customize->add_setting('testimonials_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
    $wp_customize->add_control(
        new luzuk_Info_Text( 
            $wp_customize,
            'testimonials_area_lbl',
            array(
                'settings'      => 'testimonials_area_lbl',
                'section'       => 'testimonials_area',
                'label'         => __( 'Note:', 'Luzuk Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the Testimonials.</strong> <br/>Please add the Testimonials from "Testimonials menu" and then select Testimonial to show information.', 'Luzuk Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('luzuk_premium_testimonials_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_testimonials_area_lbl',
        array(
            'settings'      => 'luzuk_premium_testimonials_area_lbl',
            'section'       => 'testimonials_area',
            'label'         => __( 'Note:', 'Luzuk Premium' ), 
            'description'   => __( 'Just place the shortcode "[TESTIMONIALS]" in your page to list the Testimonials in a page ', 'Luzuk Premium' ),
        )
    )
);
//TESTIMONIALS PAGES
for( $i = 1; $i < 10; $i++ ){
    $wp_customize->add_setting(
        'luzuk_testimonials_heading'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'luzuk_testimonials_heading'.$i,
            array(
                'settings'      => 'luzuk_testimonials_heading'.$i,
                'section'       => 'testimonials_area',
                'label'         => __( 'Testimonial ', 'Luzuk Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'testimonials_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'testimonials_page'.$i,
        array(
            'settings'      => 'testimonials_page'.$i,
            'section'       => 'testimonials_area',
            'type'=> 'select',
            'label'         => __( 'Select A Client Testimonial', 'Luzuk Premium' ),
            'choices' => $TesimonialsSingleChoice,
        )
    );
}


lzCustomLable($wp_customize, 'luzuk_sectesticolor', 'testimonials_area', 'Section Color');


addColorPalatOption($wp_customize, 'luzuk_testimonials_bgclr', 'testimonials_area', 'Section BG  Color', '#1d62b8'); 

addColorPalatOption($wp_customize, 'luzuk_testimonials_Namecolor', 'testimonials_area', 'Section Client Name Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_tstimonials_Dsigntonclr', 'testimonials_area', 'Section Client Designation Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_testxtcolor', 'testimonials_area', 'Section Text Color', '#aabfde');

addColorPalatOption($wp_customize, 'luzuk_tsicncolor', 'testimonials_area', 'Section Icon Color', '#174d93');

addColorPalatOption($wp_customize, 'luzuk_tesslidrdots', 'testimonials_area', ' Section Slider Dots Color', '#68a9fd');

addColorPalatOption($wp_customize, 'luzuk_tesslidrdotact', 'testimonials_area', ' Section Slider Dots Active & Hover Color', '#1d62b8');

